update manager "Error failed to fork pty"

Bug #338071 reported by alperkins on 2009-03-05
62
This bug affects 3 people
Affects Status Importance Assigned to Milestone
sysvinit (Ubuntu)
Undecided
Unassigned

Bug Description

o.k., have installed the new beta for the next version of Ubuntu. When I ran Update Manager today, I was successful to download a large number of updates, but when I try and install them, I get the following error:

Error fork pty

The updates will not install, as this error terminates the processing.

Ubuntu 9.04 - the jaunty jackalope

synaptic 0.62.5

Also I cannot open a terminal window, it's saying it cannot launch a child process

alperkins (alperkins) wrote :

error actually reads, "Error failed to fork pty" - sorry didn't recall the whole msg

Marco Rodrigues (gothicx) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. Could you please add the log files from '/var/log/dist-upgrade/' to this bug report as separate attachments? Thanks in advance.

alperkins (alperkins) wrote :
alperkins (alperkins) wrote :
alperkins (alperkins) wrote :
alperkins (alperkins) wrote :
Michael Vogt (mvo) wrote :

Thanks for the added files! Do you get this error all the time or was it happening this one time?

Changed in update-manager:
assignee: nobody → mvo
status: New → Incomplete

Michael/Bugfix:

I have continued to try and use Update Manager to download updates, thinking this my correct itself. But I have had no success to get passed the error listed in the error report.

Cheers,

Al

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Michael Vogt
Sent: Tuesday, March 10, 2009 3:48 PM
To: <email address hidden>
Subject: [Bug 338071] Re: update manager install error

Thanks for the added files! Do you get this error all the time or was it
happening this one time?

** Changed in: update-manager (Ubuntu)
     Assignee: (unassigned) => Michael Vogt (mvo)
       Status: New => Incomplete

--
update manager install error
https://bugs.launchpad.net/bugs/338071
You received this bug notification because you are a direct subscriber
of the bug.

Status in “update-manager” source package in Ubuntu: Incomplete

Bug description:
o.k., have installed the new beta for the next version of Ubuntu. When I ran Update Manager today, I was successful to download a large number of updates, but when I try and install them, I get the following error:

Error fork pty

The updates will not install, as this error terminates the processing.

Ubuntu 9.04 - the jaunty jackalope

synaptic 0.62.5

Also I cannot open a terminal window, it's saying it cannot launch a child process

alperkins (alperkins) wrote :

I have been able to eliminate this problem, by booting a lesser version and reinstalling the updates. My newer problem now is that I cannot open a Terminal session. It says it cannot start the child session.

hrstrand (peter-gafmo) wrote :

I am in the exact same situation after an upgrade from 8.10 today

hrstrand (peter-gafmo) wrote :

I added this to /etc/fstab

devpts /dev/pts devpts (rw,noexec,nosuid,gid=5,mode=620)

it seems to make this problem go away

alperkins (alperkins) wrote :

I'm hitting the problem again, in other words, I checked for Updates, downloaded Updates, and during the install, I hit right back to this same error. My same trick to resolve this is to reboot under a lesser version , and install updates. Thanks for the solution you've found. I'm pretty new to Linux, so I'm not sure from the one liner, what to do but I'll check it out.

alperkins (alperkins) wrote :

O.k. so I have yet no terminal ability, and if I use the file manager under Places, when I get to /etc, I can find no fstab subdirectory.

hrstrand (peter-gafmo) wrote :

/etc/fstab is not a directory, it is a file.

Michael Vogt (mvo) wrote :

If anyone who hit the problem could add the output of "mount " - that would be much appreciated.

ant1matter (abstractryan) wrote :

I was having an issue with this error as well after upgrading to jaunty. Specifically I was seeing this anytime i tried to update anything from adept or synaptic.

I manually added the entry to /etc/fstab just as hrstrand and it resolved the issue.

Ryan

hrstrand (peter-gafmo) wrote :

Output of mount :

/dev/sda3 on / type ext3 (rw,relatime,errors=remount-ro)
tmpfs on /lib/init/rw type tmpfs (rw,nosuid,mode=0755)
proc on /proc type proc (rw,noexec,nosuid,nodev)
sysfs on /sys type sysfs (rw,noexec,nosuid,nodev)
varrun on /var/run type tmpfs (rw,nosuid,mode=0755)
varlock on /var/lock type tmpfs (rw,noexec,nosuid,nodev,mode=1777)
procbususb on /proc/bus/usb type usbfs (rw)
udev on /dev type tmpfs (rw,mode=0755)
tmpfs on /dev/shm type tmpfs (rw,nosuid,nodev)
fusectl on /sys/fs/fuse/connections type fusectl (rw)
lrm on /lib/modules/2.6.28-11-generic/volatile type tmpfs (rw,mode=755)
devpts on /dev/pts type devpts (rw,noexec,nosuid,(rw,gid=5,mode=620))
securityfs on /sys/kernel/security type securityfs (rw)
nfsd on /proc/fs/nfsd type nfsd (rw)
binfmt_misc on /proc/sys/fs/binfmt_misc type binfmt_misc (rw,noexec,nosuid,nodev)
gvfs-fuse-daemon on /home/pstrand/.gvfs type fuse.gvfs-fuse-daemon (rw,nosuid,nodev,user=pstrand)
https://vip.soonr.com/webdav on /media/soonr-vip type davfs (rw,nosuid,noexec,nodev,_netdev,user=pstrand)

contents of /etc/fstab

# /etc/fstab: static file system information.
#
# <file system> <mount point> <type> <options> <dump> <pass>
proc /proc proc defaults 0 0
# /dev/sda3
UUID=0d4bd1b8-05dd-4594-90e8-3658a73103c1 / ext3 defaults,errors=remount-ro,relatime 0 1
# /dev/sda6
UUID=1e28cefd-034a-4dc4-ba79-84b6628337bd none swap sw 0 0
/dev/scd0 /media/cdrom0 udf,iso9660 user,noauto,exec 0 0

# vip webdav
https://vip.soonr.com/webdav /media/soonr-vip davfs noauto,user 0 0
http://192.168.1.77:8080/webdav /media/soonr-local davfs noauto,user 0 0

devpts /dev/pts devpts (rw,noexec,nosuid,gid=5,mode=620)

Eric Wheeler (crazybot) wrote :

hrstrand suggestion also fixed this for me.

caj411 (cajones) wrote :

I just upgraded to the Jaunty Beta yesterday and have the EXACT same problems as described above. Both the update manager and terminal give me the same problems.

try adding the following line to /etc/fstab (as root)

devpts /dev/pts devpts (rw,noexec,nosuid,git=5,mode=620)

R
On Apr 2, 2009, at 6:46 AM, caj420 wrote:

> I just upgraded to the Jaunty Beta yesterday and have the EXACT same
> problems as described above. Both the update manager and terminal
> give
> me the same problems.
>
> --
> update manager "Error failed to fork pty"
> https://bugs.launchpad.net/bugs/338071
> You received this bug notification because you are a direct subscriber
> of the bug.

caj411 (cajones) wrote :

I tried performing the action in the comment by hrstrand 2009-03-27 (in quotes below), and rebooted after making the change to the fstab file.

"I added this to /etc/fstab
devpts /dev/pts devpts (rw,noexec,nosuid,gid=5,mode=620)"

this change to the fstab file also worked for me. the package manager and terminal or now appear to be operating normally.

caj411 (cajones) wrote :

thanks,

i did, and it worked. but i'm assuming its still a bug? this is just a
workaround?

ant1matter wrote:
> try adding the following line to /etc/fstab (as root)
>
>
> devpts /dev/pts devpts (rw,noexec,nosuid,git=5,mode=620)
>
>
> R
> On Apr 2, 2009, at 6:46 AM, caj420 wrote:
>
>
>> I just upgraded to the Jaunty Beta yesterday and have the EXACT same
>> problems as described above. Both the update manager and terminal
>> give
>> me the same problems.
>>
>> --
>> update manager "Error failed to fork pty"
>> https://bugs.launchpad.net/bugs/338071
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
>

alperkins (alperkins) wrote :

O.k. very pleased for the confirmation on how to fix this, now my new problem....when I try and paste the line:

devpts /dev/pts devpts (rw,noexec,nosuid,gid=5,mode=620)

into the /etc/fstab file, I get the message, "no access". In other words it doesn't prompt me for my password, it just says I don't rights to open the file.

How do you all get around that?

Try to do:

$ sudo gedit /etc/fstab

caj411 (cajones) wrote :

sudo gedit /etc/fstab

save and reboot

alperkins wrote:
> O.k. very pleased for the confirmation on how to fix this, now my new
> problem....when I try and paste the line:
>
> devpts /dev/pts devpts (rw,noexec,nosuid,gid=5,mode=620)
>
> into the /etc/fstab file, I get the message, "no access". In other
> words it doesn't prompt me for my password, it just says I don't rights
> to open the file.
>
> How do you all get around that?
>
>

alperkins (alperkins) wrote :

well, some progress here, I was able to login through the recovery panel, change to root and edit /etc/stab
Alas though neither the single line nor the 3 lines have had any affect on my sessions. I still have no Terminal and running Update Manager is still encountering the same error. Thanks to all for wonderful ideas, suggestions.

brickatius (brickatius) wrote :

Same problem here with update manager and terminal. If you can't open a terminal do ALT + F2 to open the 'run application' window and then type the following
gksudo gedit /etc/fstab
then add the line as suggested above. Has cured the problem for me.

brickatius (brickatius) wrote :
brickatius (brickatius) wrote :
brickatius (brickatius) wrote :
brickatius (brickatius) wrote :
jomtois (jomtois) wrote :

Same problem, and above fix worked for me as well.

Alt+F2 then 'sudo gedit /etc/fstab' then saved it.

Alt+F2 then 'sudo mount -a'.

Terminal window functioned after that no reboot required.

alperkins (alperkins) wrote :

I'm still in the soup....I have one small success, as stated previously, when I download updates, and cannot install them I go to a lesser level of Ubuntu and install the updates, now in the lesser level, using the jomtois directions, I can get a Terminal window up. This is still not possible on my highest level version of Ubuntu. Again, I deeply appreciate all the feedback and helps encountered here.

Michael Vogt (mvo) wrote :

Thanks for the comments.

It should should not be needed to have devpts in /etc/fstab, there is a init script:
/etc/init.d/mountdevsubfs.sh

that deals with mounting the required devpts filesystem. Do you have that file?
Do you also have the symlink at:
/etc/rcS.d/S11mountdevsubfs.sh
?

brickatius (brickatius) wrote :

On my system the init script does exist at /etc/init.d/mountdevsubfs.sh
but there is no symlink at /etc/rcS.d/S11mountdevsubfs.sh. I presume
that this will be the solution to the bug.

-----Original Message-----
From: Michael Vogt <email address hidden>
Reply-to: Bug 338071 <email address hidden>
To: <email address hidden>
Subject: [Bug 338071] Re: update manager "Error failed to fork pty"
Date: Tue, 07 Apr 2009 09:39:50 -0000

Thanks for the comments.

It should should not be needed to have devpts in /etc/fstab, there is a init script:
/etc/init.d/mountdevsubfs.sh

that deals with mounting the required devpts filesystem. Do you have that file?
Do you also have the symlink at:
/etc/rcS.d/S11mountdevsubfs.sh
?

alperkins (alperkins) wrote :

I have the first script in init.d. I do NOT the second file found in rcS.d. Thanks, alperkins

PedroG (petergc) wrote :

As long as I understand devpts is mounted in this script /etc/init.d/mountdevsubfs.sh. This script calls domunt() function that is placed in this other script /lib/init/mount-functions.sh. I see an error on the console when the system is booting (I omitted splash and quiet when booting), it shows briefly the usage of mount as if the arguments passed where incorrect. I've tried to grep this error from system logs but no trace of it. In my opinion there's something wrong in this scripts and devpts is not mounted when the system boots.
I'll try to search for the main cause if nobody solves it first. I have to say I'm not an expert and I try to write the best English I can.

EdSena (edsena) wrote :

I got the same issue here, after upgrading from 8.10 to 9.04 final release, today.

davygrvy (davygrvy) wrote :

same boat here. Above suggestions did not repair.

davygrvy (davygrvy) wrote :

/etc/rcS.d/S11mountdevsubfs.sh for me is missing. What are the contents so I can replace it?

8472 (dv-underworld) wrote :

now, after full version was released, i've upgraded, and i received this same problem.
but your adviced with /etc/fstab helped.

mooli (sam-phillips) wrote :

Same here,

a)open console,
b)hold CTRL, ALT and push F1
c)login as root user
d)sudo su
e)add this line to my /etc/fstab file to resolve issue...

devpts /dev/pts devpts noexec,nosuid,gid=5,mode=620 0 0
f) type mount -a
g)hold CTRL, ALT and push F1 to get back into the console mode (or just type exit, then type exit again).
h)open terminal

NO REBOOT REQUIRED

Also, I just upgraded to Ubuntu 9.10 and got the same error, this broke my ability to SSH to the server as well.

Michael Vogt (mvo) wrote :

I move this to sysvinit (that provides the initscripts package).

The mounting should be done automatically on boot via the mountdevsubfs.sh script.

affects: update-manager (Ubuntu) → sysvinit (Ubuntu)
Changed in sysvinit (Ubuntu):
assignee: Michael Vogt (mvo) → nobody
status: Incomplete → Confirmed

Please provide the output of:

    ls /etc/rcS.d

We've received a few reports of this, and in every case something had re-ordered rcS.d incorrectly

brickatius (brickatius) wrote :

Output of ls /etc/rcS.d

README S36mountall-bootclean.sh
S01mountkernfs.sh S37apparmor
S01readahead S37mountoverflowtmp
S02hostname.sh S37udev-finish
S06keyboard-setup S39readahead-desktop
S07linux-restricted-modules-common S39ufw
S10udev S40networking
S11mountdevsubfs.sh S45mountnfs.sh
S13pcmciautils S46mountnfs-bootclean.sh
S15module-init-tools S49console-setup
S17procps S70screen-cleanup
S20checkroot.sh S70x11-common
S22mtab.sh S80bootmisc.sh
S25brltty S85urandom
S30checkfs.sh S90console-screen.sh
S35mountall.sh

hrstrand (peter-gafmo) wrote :

Output of ls /etc/rcS.d

README
S01mountkernfs.sh
S01readahead
S02bootchart
S02hostname.sh
S06keyboard-setup
S07linux-restricted-modules-common
S10udev
S11mountdevsubfs.sh
S13pcmciautils
S15module-init-tools
S17procps
S20checkroot.sh
S22mtab.sh
S25brltty
S30checkfs.sh
S35mountall.sh
S36mountall-bootclean.sh
S37apparmor
S37mountoverflowtmp
S37udev-finish
S39readahead-desktop
S39ufw
S40networking
S43portmap
S44nfs-common
S45mountnfs.sh
S46libpam-foreground
S46mountnfs-bootclean.sh
S49console-setup
S70screen-cleanup
S70x11-common
S80bootmisc.sh
S85urandom

manroh (agenthanu) wrote :

Since yesterday (upgrade from 8.10 to 9.04) I had exactly the same problem.
For me the /etc/rcS.d/S11mountdevsubfs.sh was missing, too. And I also got the errors during boot metioned above.
I created now the missing symlink at it seems to work, now.
Please let us no, if this really fixes the problem in the correct way.

Cheers, Manuel.

brad (brad-longo) wrote :

Thanks mooli. Mooli's post on 04/28/2009 fixes this problem for me. Just for clarity he wrote:
a)open console,
b)hold CTRL, ALT and push F1
c)login as root user
d)sudo su
e)add this line to my /etc/fstab file to resolve issue...

devpts /dev/pts devpts noexec,nosuid,gid=5,mode=620 0 0
f) type mount -a
g)hold CTRL, ALT and push F1 to get back into the console mode (or just type exit, then type exit again).
h)open terminal

NO REBOOT REQUIRED

Those who do have an /etc/rcS.d/S11mountdevsubfs.sh symlink, please provide the output of:

    ls /etc/rcS.d

Changed in sysvinit (Ubuntu):
status: Confirmed → Incomplete

README S36mountall-bootclean.sh
S01mountkernfs.sh S37apparmor
S01readahead S37mountoverflowtmp
S02hostname.sh S37udev-finish
S06keyboard-setup S39readahead-desktop
S07linux-restricted-modules-common S39ufw
S10udev S40networking
S11mountdevsubfs.sh S45mountnfs.sh
S13pcmciautils S46mountnfs-bootclean.sh
S15module-init-tools S49console-setup
S17procps S65firestarter
S20checkroot.sh S70screen-cleanup
S22mtab.sh S70x11-common
S25brltty S80bootmisc.sh
S30checkfs.sh S85urandom
S35mountall.sh S90console-screen.sh

Scott James Remnant wrote:
> Those who do have an /etc/rcS.d/S11mountdevsubfs.sh symlink, please
> provide the output of:
>
> ls /etc/rcS.d
>
>
> ** Changed in: sysvinit (Ubuntu)
> Status: Confirmed => Incomplete
>
>

PedroG (petergc) wrote :

S01mountkernfs.sh -> ../init.d/mountkernfs.sh
S01readahead -> ../init.d/readahead
S02hostname.sh -> ../init.d/hostname.sh
S06keyboard-setup -> ../init.d/keyboard-setup
S07linux-restricted-modules-common -> ../init.d/linux-restricted-modules-common
S10udev -> ../init.d/udev
S11mountdevsubfs.sh -> ../init.d/mountdevsubfs.sh
S13pcmciautils -> ../init.d/pcmciautils
S15module-init-tools -> ../init.d/module-init-tools
S17procps -> ../init.d/procps
S20checkroot.sh -> ../init.d/checkroot.sh
S22mtab.sh -> ../init.d/mtab.sh
S25brltty -> ../init.d/brltty
S30checkfs.sh -> ../init.d/checkfs.sh
S35mountall.sh -> ../init.d/mountall.sh
S36mountall-bootclean.sh -> ../init.d/mountall-bootclean.sh
S37apparmor -> ../init.d/apparmor
S37mountoverflowtmp -> ../init.d/mountoverflowtmp
S37udev-finish -> ../init.d/udev-finish
S39readahead-desktop -> ../init.d/readahead-desktop
S39ufw -> ../init.d/ufw
S40networking -> ../init.d/networking
S45mountnfs.sh -> ../init.d/mountnfs.sh
S46libpam-foreground -> ../init.d/libpam-foreground
S46mountnfs-bootclean.sh -> ../init.d/mountnfs-bootclean.sh
S49console-setup -> ../init.d/console-setup
S70screen-cleanup -> ../init.d/screen-cleanup
S70x11-common -> ../init.d/x11-common
S80bootmisc.sh -> ../init.d/bootmisc.sh
S85urandom -> ../init.d/urandom
S90console-screen.sh -> ../init.d/console-screen.sh

On Tue, 2009-05-05 at 10:28 +0000, Scott James Remnant wrote:

> Those who do have an /etc/rcS.d/S11mountdevsubfs.sh symlink, please
> provide the output of:
>
> ls /etc/rcS.d
>
Sorry, my mistake. This should be:

  ls /etc/init.d

Scott
--
Scott James Remnant
<email address hidden>

brickatius (brickatius) wrote :

Output of ls /etc/init.d
acpid killprocs readahead
acpi-support klogd readahead-desktop
alsa-utils laptop-mode README
anacron linux-restricted-modules-common reboot
apmd mdadm rmnologin
apparmor module-init-tools rsync
apport mountall-bootclean.sh samba
atd mountall.sh saned
avahi-daemon mountdevsubfs.sh screen-cleanup
binfmt-support mountdevsubfs.sh~ sendsigs
bluetooth mountdevsubfs.sh.dpkg-dist single
bootlogd mountkernfs.sh skeleton
bootlogs.sh mountkernfs.sh~ stop-bootlogd
bootmisc.sh mountkernfs.sh.dpkg-old stop-bootlogd-single
brltty mountnfs-bootclean.sh stop-readahead
checkfs.sh mountnfs.sh sysklogd
checkroot.sh mountoverflowtmp system-tools-backends
console-screen.sh mtab.sh udev
console-setup networking udev-finish
cron NetworkManager ufw
cups NetworkManager.dpkg-backup umountfs
dbus nvidia-kernel umountnfs.sh
dhcdbd ondemand umountroot
dkms_autoinstaller pcmciautils urandom
dns-clean pcscd usplash
gdm policykit vboxdrv
glibc.sh postfix vboxnet
hal powernowd virtualbox-ose
halt powernowd.early webmin
hostname.sh pppd-dns winbind
hotkey-setup procps wpa-ifupdown
hsf pulseaudio x11-common
hwclock.sh rc xinetd
keyboard-setup rc.local
keytouch rcS

brickatius: you have modified /etc/init.d/mountdevsubfs.sh, and declined
the conffile prompt on upgrade; the following command will fix it:

  mv /etc/init.d/mountdevsubfs.sh.dpkg-dist /etc/init.d/mountdevsubfs.sh

Scott
--
Scott James Remnant
<email address hidden>

brickatius (brickatius) wrote :

Many thanks Scott.
I did as instructed and used the following command :-
 mv /etc/init.d/mountdevsubfs.sh.dpkg-dist /etc/init.d/mountdevsubfs.sh
and undid the change I had made to /etc/fstab by deleting the line which I had added as follows:-
devpts /dev/pts devpts (rw,noexec,nosuid,gid=5,mode=620)
All is now working as it should.
Richard

manroh (agenthanu) wrote :

I posted this entry a few days ago:

"Since yesterday (upgrade from 8.10 to 9.04) I had exactly the same problem.
For me the /etc/rcS.d/S11mountdevsubfs.sh was missing, too. And I also got the errors during boot mentioned above.
I created now the missing symlink at it seems to work, now.
Please let us no, if this really fixes the problem in the correct way."

May someone confirm that this is a accurate fix?

S11mountdevsubfs.sh -> ../init.d/mountdevsubfs.sh

Many thanks.
Manuel.

This is caused by a modification you have made to your system and failed to account for in the upgrade.

Either

 1) your /etc/rcS.d directory has been re-ordered such that S11mountdevsubfs.sh is no longer S11 (or S10udev is no longer S10)

 2) your /etc/init.d/mountdevsubfs.sh file has custom modifications, and you declined the conffile prompt on upgrade.

For #1, use whatever tool you used to originally reorder to fix the problem.

For #2, move the /etc/init.d/mountdevsubfs.sh.dpkg-new file over top of /etc/init.d/mountdevsubfs.sh and re-apply your modifications

Changed in sysvinit (Ubuntu):
status: Incomplete → Invalid

Scott I am sorry but my brother in law do have this problem and I did the install when I gave him the laptop and I KNOW that I just did a basic installation of hardy. After he did, before asking me or I would have stop him, did the upgrade to intrepid (he doesn't know anything about OS so he didn't touch anything) and after I did the last upgrade and I didn't have this message but even if would have it I always ask to install the maintener versions. So your two reasons which basically said that the user is the only responsible of this problem and that ubuntu doesn't have any responsabilities is a little bit exagerated for my point of view. I cannot access through ssh to this computer anymore, thanks to this bug, so my brother in law which live 3000 km away from me will have a risky computer for months (no possibility to install any upgrade). He is not able to do anything in the system and he is scared to messed up things.

On Fri, 2009-06-05 at 20:48 +0000, humufr wrote:

> Scott I am sorry but my brother in law do have this problem and I did
> the install when I gave him the laptop and I KNOW that I just did a
> basic installation of hardy. After he did, before asking me or I would
> have stop him, did the upgrade to intrepid (he doesn't know anything
> about OS so he didn't touch anything) and after I did the last upgrade
> and I didn't have this message but even if would have it I always ask to
> install the maintener versions. So your two reasons which basically said
> that the user is the only responsible of this problem and that ubuntu
> doesn't have any responsabilities is a little bit exagerated for my
> point of view. I cannot access through ssh to this computer anymore,
> thanks to this bug, so my brother in law which live 3000 km away from me
> will have a risky computer for months (no possibility to install any
> upgrade). He is not able to do anything in the system and he is scared
> to messed up things.
>
There is no evidence that this problem has *ever* been caused by
anything other than modifying system files in /etc - combined with not
responding to conffile upgrade issues.

The most common "modification" appears to be trying to
enable /proc/bus/usb, assumedly for software the user wants - various
forum posts on the Internet wrongly recommend this.

Scott
--
Scott James Remnant
<email address hidden>

I had the same 2 errors.
I had kept /etc/init.d/mountdevsufs.sh since June, 2008.
'sudo mv /etc/init.d/mountdevsubfs.sh.dpkg-dist /etc/init.d/mountdevsubfs.sh' got rid of the 2 errors.
Thank you, Scott James Remnant.

Download full text (3.9 KiB)

I am having an error that I think is related to this thread, but I can't quite fix it. I am very much a newbie, just installed Ubuntu 9.10 last weekend.

I am able to launch a terminal window just fine from the main menu.

I found this posting on how to rip CDs automatically with ABCDE, and did all that was said there.
http://www.frozen.ca/ubuntu-tutorials/6-automatic-cd-ripping-with-abcde

The contents of my newly-created /home/.abcde.conf file are as follows:
----------------------------------------------------------------------------------------------------------------------------------------
OUTPUTTYPE="mp3,ogg"
LAMEOPTS='-V 2'
OGGENCOPTS='-q 8'

OUTPUTDIR="$HOME/jennie/Music/Ripped CDs/"
OUTPUTFORMAT='${OUTPUT}/${ARTISTFILE}/${ALBUMFILE}/${TRACKNUM} - ${TRACKFILE}'
VAOUTPUTFORMAT='${OUTPUT}/Various/${ALBUMFILE}/${TRACKNUM} - ${ARTISTFILE} - ${TRACKFILE}'

PADTRACKS=y
EJECTCD=y
MAXPROCS=2

mungefilename ()
{
    echo "$@" | sed s,:,\ -,g | tr / _ | tr -d \'\"\?\[:cntrl:\]
}
----------------------------------------------------------------------------------------------------------------------------------------

After rebooting, I pop a CD in, and up comes a blank Terminal window with the message "There was an error creating the child process for this terminal".

I tried a few things to fix it, such as editing /etc/fstab (didn't work, took it out), editing /etc/sudoers to include my username for ALL (didn't work, took it out). I thought maybe it had something to do with the permissions of the .abcde.conf file that I added to my home directory as directed in the above thread, but took no action on this.

I noted that I didn't have a mountdevsubfs.sh file, so I downloaded the dpkg-dist, then copied it into the /etc/init.d directory, set it to 755 with owner/group as root. Rebooted. Still doesn't work. I note that I don't have a SXXmountdevsubfs.sh in my /etc/rcS.d directory, and wonder if I should, but don't know how to get one.

----------------------------------------------------------------------------------------------------------------------------------------
jennie@laverne:~$ ls /etc/init.d
acpid cups killprocs README udevmonitor
acpi-support dbus laptop-mode reboot udevtrigger
alsa-utils dkms_autoinstaller module-init-tools rsync ufw
anacron dmesg mountdevsubfs.sh rsyslog umountfs
apparmor dns-clean networking rsyslog-kmsg umountnfs.sh
apport exim4 network-interface saned umountroot
atd failsafe-x network-manager screen-cleanup unattended-upgrades
avahi-daemon gdm ondemand sendsigs urandom
binfmt-support grub-common pcmciautils single usplash
bluetooth hal pppd-dns skeleton virtualbox-ose
bootlogd halt procps speech-dispatcher winbind
brltty hwclock pulseaudio ...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers